use async_trait::async_trait;

use crate::{error::Result, message::Message};

#[async_trait]
pub trait NotificationChannel: Send + Sync {
    fn name(&self) -> &str;
    async fn send(&self, msg: &Message) -> Result<()>;
}
